/*
 * Copyright (C) 2012 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Michi Henning <michi.henning@canonical.com>
 */

#ifndef GLINT_GENV_INTERNAL_GENVEXCEPTIONIMPL_H
#define GLINT_GENV_INTERNAL_GENVEXCEPTIONIMPL_H

#include <glint/internal/ExceptionImpl.h>

namespace glint
{

namespace genv
{

namespace internal
{

class GEnvExceptionImpl : public glint::internal::ExceptionImpl
{
public:
    GEnvExceptionImpl(const std::string& reason);
};

} // namespace internal

} // namespace genv

} // namespace glint

#endif
