/*
 * Copyright (C) 2012 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Michi Henning <michi.henning@canonical.com>
 */

#include <glint/genv/glx/internal/GLXExceptionImpl.h>

using namespace std;

namespace glint
{

namespace genv
{

namespace glx
{

namespace internal
{

GLXExceptionImpl::
GLXExceptionImpl(const string& reason)
    : GEnvExceptionImpl(reason)
{
}

const char*
GLXExceptionImpl::
what() const noexcept
{
    return "glint::genv::glx::GLXException";
}

} // namespace internal

} // namespace glx

} // namespace genv

} // namespace glint
