/*
 * Copyright (C) 2012 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Michi Henning <michi.henning@canonical.com>
 */

#include <gtest/gtest.h>
#include <glint/genv/x11/X11Window.h>

using namespace std;
using namespace glint::genv::x11;

TEST(X11Window, basic)
{
    Display* d = (Display*)99;
    Window w = (XID)78;
    X11Window x11w(d, w);

    EXPECT_EQ(d, x11w.display());
    EXPECT_EQ(w, x11w.window());
}
